/**
* 文件：AssetFlowEventQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.asset.model;
import java.util.List;

/**
 * <p>Title: 资产事件表</p>
 * <p>Description: AssetFlowEventQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class AssetFlowEventQuery extends AssetFlowEventEntity{
	private static final long serialVersionUID = 1614232821213L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 事件名称，全局唯一 */
	private List<String> nameList;

	/** 事件编码，全局唯一 */
	private List<String> codeList;

	/** 开始 是否启用，0否，1是 */
	private Integer enabledStart;

	/** 结束 是否启用，0否，1是 */
	private Integer enabledEnd;

	/** 增加 是否启用，0否，1是 */
	private Integer enabledIncrement;

	/** 是否启用，0否，1是 */
	private List<Integer> enabledList;

	/** 事件前资产流转状态，参数配置-AssetFlowStatus，多个状态用逗号分隔 */
	private List<String> beforeFlowStatusList;

	/** 开始 事件后资产流转状态，参数配置-AssetFlowStatus */
	private Integer afterFlowStatusStart;

	/** 结束 事件后资产流转状态，参数配置-AssetFlowStatus */
	private Integer afterFlowStatusEnd;

	/** 增加 事件后资产流转状态，参数配置-AssetFlowStatus */
	private Integer afterFlowStatusIncrement;

	/** 事件后资产流转状态，参数配置-AssetFlowStatus */
	private List<Integer> afterFlowStatusList;

	/** 开始 排序号，查询时列表按照此字段排序； 默认0 */
	private Integer orderNoStart;

	/** 结束 排序号，查询时列表按照此字段排序； 默认0 */
	private Integer orderNoEnd;

	/** 增加 排序号，查询时列表按照此字段排序； 默认0 */
	private Integer orderNoIncrement;

	/** 排序号，查询时列表按照此字段排序； 默认0 */
	private List<Integer> orderNoList;

	/** 事件执行事务脚本，java类，实现EventHandle接口 */
	private List<String> scriptList;

	/** 事件描述 */
	private List<String> remarkList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<AssetFlowEventQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<AssetFlowEventQuery> andConditionList;


	public AssetFlowEventQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 事件名称，全局唯一
	 * @return nameList
	 */
	public List<String> getNameList(){
		return this.nameList;
	}

	/**
	 * 设置 事件名称，全局唯一
	 * @param nameList
	 */
	public void setNameList(List<String> nameList){
		this.nameList = nameList;
	}

	/**
	 * 获取 事件编码，全局唯一
	 * @return codeList
	 */
	public List<String> getCodeList(){
		return this.codeList;
	}

	/**
	 * 设置 事件编码，全局唯一
	 * @param codeList
	 */
	public void setCodeList(List<String> codeList){
		this.codeList = codeList;
	}

	/**
	 * 获取 开始 是否启用，0否，1是
	 * @return enabledStart
	 */
	public Integer getEnabledStart(){
		return this.enabledStart;
	}

	/**
	 * 设置 开始 是否启用，0否，1是
	 * @param enabledStart
	 */
	public void setEnabledStart(Integer enabledStart){
		this.enabledStart = enabledStart;
	}

	/**
	 * 获取 结束 是否启用，0否，1是
	 * @return enabledEnd
	 */
	public Integer getEnabledEnd(){
		return this.enabledEnd;
	}

	/**
	 * 设置 结束 是否启用，0否，1是
	 * @param enabledEnd
	 */
	public void setEnabledEnd(Integer enabledEnd){
		this.enabledEnd = enabledEnd;
	}

	/**
	 * 获取 增加 是否启用，0否，1是
	 * @return enabledIncrement
	 */
	public Integer getEnabledIncrement(){
		return this.enabledIncrement;
	}

	/**
	 * 设置 增加 是否启用，0否，1是
	 * @param enabledIncrement
	 */
	public void setEnabledIncrement(Integer enabledIncrement){
		this.enabledIncrement = enabledIncrement;
	}

	/**
	 * 获取 是否启用，0否，1是
	 * @return enabledList
	 */
	public List<Integer> getEnabledList(){
		return this.enabledList;
	}

	/**
	 * 设置 是否启用，0否，1是
	 * @param enabledList
	 */
	public void setEnabledList(List<Integer> enabledList){
		this.enabledList = enabledList;
	}

	/**
	 * 获取 事件前资产流转状态，参数配置-AssetFlowStatus，多个状态用逗号分隔
	 * @return beforeFlowStatusList
	 */
	public List<String> getBeforeFlowStatusList(){
		return this.beforeFlowStatusList;
	}

	/**
	 * 设置 事件前资产流转状态，参数配置-AssetFlowStatus，多个状态用逗号分隔
	 * @param beforeFlowStatusList
	 */
	public void setBeforeFlowStatusList(List<String> beforeFlowStatusList){
		this.beforeFlowStatusList = beforeFlowStatusList;
	}

	/**
	 * 获取 开始 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @return afterFlowStatusStart
	 */
	public Integer getAfterFlowStatusStart(){
		return this.afterFlowStatusStart;
	}

	/**
	 * 设置 开始 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @param afterFlowStatusStart
	 */
	public void setAfterFlowStatusStart(Integer afterFlowStatusStart){
		this.afterFlowStatusStart = afterFlowStatusStart;
	}

	/**
	 * 获取 结束 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @return afterFlowStatusEnd
	 */
	public Integer getAfterFlowStatusEnd(){
		return this.afterFlowStatusEnd;
	}

	/**
	 * 设置 结束 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @param afterFlowStatusEnd
	 */
	public void setAfterFlowStatusEnd(Integer afterFlowStatusEnd){
		this.afterFlowStatusEnd = afterFlowStatusEnd;
	}

	/**
	 * 获取 增加 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @return afterFlowStatusIncrement
	 */
	public Integer getAfterFlowStatusIncrement(){
		return this.afterFlowStatusIncrement;
	}

	/**
	 * 设置 增加 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @param afterFlowStatusIncrement
	 */
	public void setAfterFlowStatusIncrement(Integer afterFlowStatusIncrement){
		this.afterFlowStatusIncrement = afterFlowStatusIncrement;
	}

	/**
	 * 获取 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @return afterFlowStatusList
	 */
	public List<Integer> getAfterFlowStatusList(){
		return this.afterFlowStatusList;
	}

	/**
	 * 设置 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @param afterFlowStatusList
	 */
	public void setAfterFlowStatusList(List<Integer> afterFlowStatusList){
		this.afterFlowStatusList = afterFlowStatusList;
	}

	/**
	 * 获取 开始 排序号，查询时列表按照此字段排序； 默认0
	 * @return orderNoStart
	 */
	public Integer getOrderNoStart(){
		return this.orderNoStart;
	}

	/**
	 * 设置 开始 排序号，查询时列表按照此字段排序； 默认0
	 * @param orderNoStart
	 */
	public void setOrderNoStart(Integer orderNoStart){
		this.orderNoStart = orderNoStart;
	}

	/**
	 * 获取 结束 排序号，查询时列表按照此字段排序； 默认0
	 * @return orderNoEnd
	 */
	public Integer getOrderNoEnd(){
		return this.orderNoEnd;
	}

	/**
	 * 设置 结束 排序号，查询时列表按照此字段排序； 默认0
	 * @param orderNoEnd
	 */
	public void setOrderNoEnd(Integer orderNoEnd){
		this.orderNoEnd = orderNoEnd;
	}

	/**
	 * 获取 增加 排序号，查询时列表按照此字段排序； 默认0
	 * @return orderNoIncrement
	 */
	public Integer getOrderNoIncrement(){
		return this.orderNoIncrement;
	}

	/**
	 * 设置 增加 排序号，查询时列表按照此字段排序； 默认0
	 * @param orderNoIncrement
	 */
	public void setOrderNoIncrement(Integer orderNoIncrement){
		this.orderNoIncrement = orderNoIncrement;
	}

	/**
	 * 获取 排序号，查询时列表按照此字段排序； 默认0
	 * @return orderNoList
	 */
	public List<Integer> getOrderNoList(){
		return this.orderNoList;
	}

	/**
	 * 设置 排序号，查询时列表按照此字段排序； 默认0
	 * @param orderNoList
	 */
	public void setOrderNoList(List<Integer> orderNoList){
		this.orderNoList = orderNoList;
	}

	/**
	 * 获取 事件执行事务脚本，java类，实现EventHandle接口
	 * @return scriptList
	 */
	public List<String> getScriptList(){
		return this.scriptList;
	}

	/**
	 * 设置 事件执行事务脚本，java类，实现EventHandle接口
	 * @param scriptList
	 */
	public void setScriptList(List<String> scriptList){
		this.scriptList = scriptList;
	}

	/**
	 * 获取 事件描述
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 事件描述
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<AssetFlowEventQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<AssetFlowEventQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<AssetFlowEventQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<AssetFlowEventQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}